opam-version: "2.0"
maintainer: "contact@tezos.com"
authors: [ "Tezos devteam" ]
homepage: "https://www.tezos.com/"
bug-reports: "https://gitlab.com/tezos/tezos/issues"
dev-repo: "git+https://gitlab.com/tezos/tezos.git"
license: "MIT"
depends: [
  "tezos-tooling" { with-test }
  "ocamlfind" { build }
  "dune" { >= "1.7" }
  "tezos-base"
  "tezos-version"
  "tezos-rpc-http-server"
  "tezos-p2p"
  "tezos-shell"
  "tezos-protocol-updater"
  "tezos-validator"
  "tezos-embedded-protocol-genesis"
  "tezos-embedded-protocol-demo-noops"
  "tezos-embedded-protocol-alpha"
  "cmdliner"
  "tls"
  "cstruct"
]
build: [
  ["dune" "build" "-p" name "-j" jobs]
  ["dune" "runtest" "-p" name "-j" jobs] {with-test}
]
synopsis: "Tezos: `tezos-node` binary"
